Refresh all dashboard charts

Requests to refresh all charts in the specified data dashboard. Each chart is submitted independently and its respective return status needs to be checked.

HTTP
POST $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}/refresh

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

Request

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID/refresh" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

JSON
{
  "code": 202,
  "data": {"runs": [{"chart_id": "chart-001", "execution_id": "exec-001", "status": "submitted"}]}
}

The response fields are as follows.

Field

Type

Description

data.runs

array

The refresh submission results of each chart.

data.runs[].chart_id

string

Chart ID.

data.runs[].execution_id

string

Chart run ID; returned when submission is successful.

data.runs[].status

string

The submission status of this chart.

data.runs[].error

string

Reason for submission failure; returned upon failure.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, data.runs[].chart_id is the chart_id field of each item in the data.runs array.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on